Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class _TypeCodeFactoryStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA._TypeCodeFactoryStub

All Implemented Interfaces:
  IDLEntity, Object, java.io.Serializable, TypeCodeFactory, TypeCodeFactoryOperations

public class _TypeCodeFactoryStub
extends ObjectImpl
implements TypeCodeFactory

TypeCodeFactory, creates typecodes.

Since:
  CORBA 3.0
See Also:
  Serialized Form

Constructor Summary
`_TypeCodeFactoryStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`TypeCode` | `create_abstract_interface_tc(java.lang.String id, java.lang.String name)` Operation create_abstract_interface_tc
`TypeCode` | `create_alias_tc(java.lang.String id, java.lang.String name, TypeCode original_type)` Operation create_alias_tc
`TypeCode` | `create_array_tc(int length, TypeCode element_type)` Operation create_array_tc
`TypeCode` | `create_component_tc(java.lang.String id, java.lang.String name)` Operation create_component_tc
`TypeCode` | `create_enum_tc(java.lang.String id, java.lang.String name, java.lang.String[] members)` Operation create_enum_tc
`TypeCode` | `create_exception_tc(java.lang.String id, java.lang.String name, StructMember[] members)` Operation create_exception_tc
`TypeCode` | `create_fixed_tc(short digits, short scale)` Operation create_fixed_tc
`TypeCode` | `create_home_tc(java.lang.String id, java.lang.String name)` Operation create_home_tc
`TypeCode` | `create_interface_tc(java.lang.String id, java.lang.String name)` Operation create_interface_tc
`TypeCode` | `create_local_interface_tc(java.lang.String id, java.lang.String name)` Operation create_local_interface_tc
`TypeCode` | `create_native_tc(java.lang.String id, java.lang.String name)` Operation create_native_tc
`TypeCode` | `create_recursive_sequence_tc(int bound, int offset)` Operation create_recursive_sequence_tc
`TypeCode` | `create_recursive_tc(java.lang.String id)` Operation create_recursive_tc
`TypeCode` | `create_sequence_tc(int bound, TypeCode element_type)` Operation create_sequence_tc
`TypeCode` | `create_string_tc(int bound)` Operation create_string_tc
`TypeCode` | `create_struct_tc(java.lang.String id, java.lang.String name, StructMember[] members)` Operation create_struct_tc
`TypeCode` | `create_union_tc(java.lang.String id, java.lang.String name, TypeCode discriminator_type, UnionMember[] members)` Operation create_union_tc
`TypeCode` | `create_value_box_tc(java.lang.String id, java.lang.String name, TypeCode boxed_type)` Operation create_value_box_tc
`TypeCode` | `create_value_tc(java.lang.String id, java.lang.String name, short type_modifier, TypeCode concrete_base, ValueMember[] members)` Operation create_value_tc
`TypeCode` | `create_wstring_tc(int bound)` Operation create_wstring_tc

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _TypeCodeFactoryStub

    public _TypeCodeFactoryStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### create_struct_tc

    public TypeCode create_struct_tc(java.lang.String id,
                                     java.lang.String name,
                                     StructMember[] members)

  Operation create_struct_tc
  Specified by:
    `create_struct_tc` in interface `TypeCodeFactoryOperations`

### create_union_tc

    public TypeCode create_union_tc(java.lang.String id,
                                    java.lang.String name,
                                    TypeCode discriminator_type,
                                    UnionMember[] members)

  Operation create_union_tc
  Specified by:
    `create_union_tc` in interface `TypeCodeFactoryOperations`

### create_enum_tc

    public TypeCode create_enum_tc(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String[] members)

  Operation create_enum_tc
  Specified by:
    `create_enum_tc` in interface `TypeCodeFactoryOperations`

### create_alias_tc

    public TypeCode create_alias_tc(java.lang.String id,
                                    java.lang.String name,
                                    TypeCode original_type)

  Operation create_alias_tc
  Specified by:
    `create_alias_tc` in interface `TypeCodeFactoryOperations`

### create_exception_tc

    public TypeCode create_exception_tc(java.lang.String id,
                                        java.lang.String name,
                                        StructMember[] members)

  Operation create_exception_tc
  Specified by:
    `create_exception_tc` in interface `TypeCodeFactoryOperations`

### create_interface_tc

    public TypeCode create_interface_tc(java.lang.String id,
                                        java.lang.String name)

  Operation create_interface_tc
  Specified by:
    `create_interface_tc` in interface `TypeCodeFactoryOperations`

### create_string_tc

    public TypeCode create_string_tc(int bound)

  Operation create_string_tc
  Specified by:
    `create_string_tc` in interface `TypeCodeFactoryOperations`

### create_wstring_tc

    public TypeCode create_wstring_tc(int bound)

  Operation create_wstring_tc
  Specified by:
    `create_wstring_tc` in interface `TypeCodeFactoryOperations`

### create_fixed_tc

    public TypeCode create_fixed_tc(short digits,
                                    short scale)

  Operation create_fixed_tc
  Specified by:
    `create_fixed_tc` in interface `TypeCodeFactoryOperations`

### create_sequence_tc

    public TypeCode create_sequence_tc(int bound,
                                       TypeCode element_type)

  Operation create_sequence_tc
  Specified by:
    `create_sequence_tc` in interface `TypeCodeFactoryOperations`

### create_recursive_sequence_tc

    public TypeCode create_recursive_sequence_tc(int bound,
                                                 int offset)

  Operation create_recursive_sequence_tc
  Specified by:
    `create_recursive_sequence_tc` in interface `TypeCodeFactoryOperations`

### create_array_tc

    public TypeCode create_array_tc(int length,
                                    TypeCode element_type)

  Operation create_array_tc
  Specified by:
    `create_array_tc` in interface `TypeCodeFactoryOperations`

### create_value_tc

    public TypeCode create_value_tc(java.lang.String id,
                                    java.lang.String name,
                                    short type_modifier,
                                    TypeCode concrete_base,
                                    ValueMember[] members)

  Operation create_value_tc
  Specified by:
    `create_value_tc` in interface `TypeCodeFactoryOperations`

### create_value_box_tc

    public TypeCode create_value_box_tc(java.lang.String id,
                                        java.lang.String name,
                                        TypeCode boxed_type)

  Operation create_value_box_tc
  Specified by:
    `create_value_box_tc` in interface `TypeCodeFactoryOperations`

### create_native_tc

    public TypeCode create_native_tc(java.lang.String id,
                                     java.lang.String name)

  Operation create_native_tc
  Specified by:
    `create_native_tc` in interface `TypeCodeFactoryOperations`

### create_recursive_tc

    public TypeCode create_recursive_tc(java.lang.String id)

  Operation create_recursive_tc
  Specified by:
    `create_recursive_tc` in interface `TypeCodeFactoryOperations`

### create_abstract_interface_tc

    public TypeCode create_abstract_interface_tc(java.lang.String id,
                                                 java.lang.String name)

  Operation create_abstract_interface_tc
  Specified by:
    `create_abstract_interface_tc` in interface `TypeCodeFactoryOperations`

### create_local_interface_tc

    public TypeCode create_local_interface_tc(java.lang.String id,
                                              java.lang.String name)

  Operation create_local_interface_tc
  Specified by:
    `create_local_interface_tc` in interface `TypeCodeFactoryOperations`

### create_component_tc

    public TypeCode create_component_tc(java.lang.String id,
                                        java.lang.String name)

  Operation create_component_tc
  Specified by:
    `create_component_tc` in interface `TypeCodeFactoryOperations`

### create_home_tc

    public TypeCode create_home_tc(java.lang.String id,
                                   java.lang.String name)

  Operation create_home_tc
  Specified by:
    `create_home_tc` in interface `TypeCodeFactoryOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD